<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.resource.model.RsResourceCategory" table="rs_resource_category" >
        <id name="id" type="java.lang.String">
            <column name="id" length="50"/>
            <generator class="uuid"/>
        </id>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>分类名称</comment>
            </column>
        </property>
        <property name="pid" type="java.lang.String">
            <column name="pid" length="50" not-null="true">
                <comment>父ID(默认#)</comment>
            </column>
        </property>
        <property name="status" type="java.lang.String">
            <column name="status" length="50">
                <comment>状态</comment>
            </column>
        </property>
        <property name="remark" type="java.lang.String">
            <column name="remark" length="50">
                <comment>分类说明</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
